Subject: RE: [Megaco] Local- and Remote descriptors for multiplexed TDM st reams

From: "Tom-PT Taylor"<[email-masked]>
Date: Tue, 12 Mar 2002 08:58:42 -0500

I have to disagree with your proposal on directionality: it contradicts the
definitions applying to all other terminations.  Remote refers to flows
proceeding from the centre of the context outward through the termination to
the remote entity, in this case, the H.324 terminal.  Local refers to flows
from the H.324 terminal inwards.

-----Original Message-----
From: Christer Holmberg [mailto:[email-masked]]
Sent: Tuesday, March 12, 2002 8:49 AM
To: Taylor, Tom-PT [CAR:B800:EXCH]
Cc: [email-masked]
Subject: Re: [Megaco] Local- and Remote descriptors for multiplexed TDM
streams

Hi, 
> I was really careless when specifying the multiplexing termination
> -- too busy worrying about the transport issues.  In the first place,
> I should have had three streams, not just one.  You need the control
> stream so you can direct it (through another termination) to the
> right remote address.

This depends on how you implement the H.245 (control stream) backhauling.
For example, if you use H.248 Events, you could activate the event detection
on the MUX termination itself. In that case you may not have to define a
specific H.248 Stream for the control stream, since you are not going to
transport the demultiplexed control streams between different terminations.
 
> As far as the logical channel numbers are concerned, remember that
> Local and Remote deal with different directions of flow, so you
> don't have to qualify explicitly.

Ok, but then we have to decide which descriptor defines the direction for
the media going from the MUX termination, and which descriptor defines the
direction for the media going out from the MUX termination. 
My proposal would be that the media coming FROM another termination (eg an
RTP termination) would be defined in the Remote descriptor, and the media
sent TO the other termination would be defined in the Local descriptor. 
Regards, 
Christer Holmberg 
Ericsson Finland 

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 12 Mar 2002 17:16:02 +0200

> I have to disagree with your proposal on directionality: it
> contradicts the definitions applying to all other terminations.
> Remote refers to flows proceeding from the centre of the context
> outward through the termination to the remote entity, in this case,
> the H.324 terminal.  Local refers to flows from the H.324 terminal
> inwards.

Whatever you say :)

Regards,

Christer Holmberg
Ericsson Finland

> Subject: Re: [Megaco] Local- and Remote descriptors for multiplexed
> TDM streams
>
>
> Hi,
> This depends on how you implement the H.245 (control stream)
> backhauling. For example, if you use H.248 Events, you could activate
> the event detection on the MUX termination itself. In that case you
> may not have to define a specific H.248 Stream for the control stream,
> since you are not going to transport the demultiplexed control streams
> between different terminations.
>
>
> Ok, but then we have to decide which descriptor defines the direction
> for the media going from the MUX termination, and which descriptor
> defines the direction for the media going out from the MUX
> termination.
>
> My proposal would be that the media coming FROM another termination
> (eg an RTP termination) would be defined in the Remote descriptor, and
> the media sent TO the other termination would be defined in the Local
> descriptor.
>
> Regards,
> Christer Holmberg
> Ericsson Finland
>
>

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 12 Mar 2002 17:16:02 +0200

Whatever you say :)

Regards,

Christer Holmberg
Ericsson Finland